Bug 1394449 - f25 plasma "networks" and "instant messaging" icons are invisible.
Summary: f25 plasma "networks" and "instant messaging" icons are invisible.
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On:
Blocks: F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-11-12 02:50 UTC by satellitgo
Modified: 2017-12-12 10:35 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:35:11 UTC


Attachments (Terms of Use)
f25 plasma invisible networks icon.JPG (2.52 MB, image/jpeg)
2016-11-12 02:50 UTC, satellitgo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 372391 None None None 2016-11-12 16:59 UTC

Description satellitgo 2016-11-12 02:50:21 UTC
Created attachment 1219917 [details]
f25 plasma invisible networks icon.JPG

Description of problem:
networks and instant messaging icons are invisible in plasma bottom bar,
Only pop-up info shows when mouse cursor passes over icon in bar
wireless icon is displayed if logged in.

Version-Release number of selected component (if applicable):
Fedora-KDE-Live-x86_64-25-1.2.iso

How reproducible:
In booted live USB and installed to Hard Drive,

Steps to Reproduce:
1.
2.
3.

Actual results:
Invisible icons

Expected results:
Be able to see icon

Additional info:
This makes connecting live and installed system to wireless AP difficult for first user.

Comment 1 Fedora Blocker Bugs Application 2016-11-12 02:54:04 UTC
Proposed as a Freeze Exception for 25-final by Fedora user satellit using the blocker tracking app because:

 invisible icons for networking and instant messaging icons are not visible in bottom bar of f25 plasma screen.
Makes no-wired wireless install very difficult

Comment 2 satellitgo 2016-11-12 15:23:41 UTC
changing Workspace settings / Desktop Theme / change default: "Fedora Twenty" to "Oxygen" makes the icons visible

Comment 3 Rex Dieter 2016-11-12 15:52:35 UTC
Mind reporting this upstream?  We're probably not in a position to be modifying the upstream default plasma theme here in fedora.

Comment 4 Rex Dieter 2016-11-12 15:53:06 UTC
upstream being bugs.kde.org

Comment 5 satellitgo 2016-11-12 16:57:45 UTC
https://bugs.kde.org/show_bug.cgi?id=372391

Comment 6 Adam Williamson 2016-11-14 19:46:21 UTC
Discussed at 2016-11-14 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-11-14/f25-blocker-review.2016-11-14-17.00.html . Accepted as a freeze exception issue as this is a very visible cosmetic problem that affects the live image (and so cannot be fixed with a post-release update).

Comment 7 Kamil Páral 2016-11-21 13:56:33 UTC
I can't reproduce this, I see 'networks' icon just fine in a VM. (I don't know how to make the messaging icon present). This might be a driver issue. Are you perhaps using nouveau? If you do, can you try to disable compositing, and/or boot with nomodeset?

Removing CommonBugs until it's clear this affects more users.

Comment 8 Rex Dieter 2016-11-21 14:09:03 UTC
I couldn't reproduce either (bare-metal, intel)

Comment 9 Fedora End Of Life 2017-11-16 19:51:20 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:35:11 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.